> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minestorecms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Webstore Settings

> Fetch the current configuration settings of the website, including header, footer, recent donators, top player, donation goals, and more.



## OpenAPI

````yaml GET /settings/get
openapi: 3.0.0
info:
  title: MineStoreCMS REST API
  description: Documentation for MineStoreCMS Frontend REST API.
  version: 3.8.7
servers:
  - url: https://v3.minestorecms.com/api
    description: Example URL of Demo Server
security: []
tags: []
paths:
  /settings/get:
    get:
      tags:
        - settings
      summary: Retrieve website settings
      description: >-
        Fetch the current configuration settings of the website, including
        header, footer, recent donators, top player, donation goals, and more.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  auth_type:
                    type: string
                    description: >-
                      The authentication type used for login. Could be username
                      or in-game
                  header:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        url:
                          type: string
                    description: Links displayed in the website header
                  footer:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        url:
                          type: string
                    description: Links displayed in the website footer
                  website_name:
                    type: string
                    description: The name of the website
                  website_description:
                    type: string
                    description: The description of the website
                  server:
                    type: object
                    properties:
                      ip:
                        type: string
                      port:
                        type: integer
                    description: Server IP and port information for monitoring
                  is_featuredDeal:
                    type: boolean
                    description: Indicates whether there is a featured deal on the website
                  details:
                    type: boolean
                    description: Collecting client data during checkout by using form
                  goals:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        current_amount:
                          type: number
                        goal_amount:
                          type: number
                    description: List of active donation goals
                  top:
                    type: object
                    properties:
                      avatar:
                        type: string
                      username:
                        type: string
                    description: Top donator for the current month
                  recentDonators:
                    type: array
                    items:
                      type: object
                      properties:
                        username:
                          type: string
                        avatar:
                          type: string
                        amount:
                          type: number
                        currency:
                          type: string
                    description: List of recent donators
                  discord_url:
                    type: string
                    description: URL to the Discord server
                  discord_id:
                    type: string
                    description: Discord Guild ID
                  is_ref:
                    type: boolean
                    description: Indicates if the referral system is enabled
                  is_profile_enabled:
                    type: boolean
                    description: Indicates if the profile feature is enabled
                  is_patrons_enabled:
                    type: boolean
                    description: Indicates if the patrons feature is enabled
                  socials:
                    type: object
                    additionalProperties:
                      type: string
                    description: Social media links associated with the website
                  is_virtual_currency:
                    type: boolean
                    description: Indicates if virtual currency is used
                  virtual_currency:
                    type: string
                    description: Name of the virtual currency
                  discord_sync:
                    type: boolean
                    description: >-
                      Indicates if Discord synchronization (OAuth) is enabled
                      for role syncing, so you need to login with Discord and
                      put Discord Data in the Cookie.
                  system_currency:
                    type: object
                    properties:
                      name:
                        type: string
                      value:
                        type: number
                    description: The system currency and its value relative to USD
                  currencies:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        value:
                          type: number
                    description: List of allowed currencies
                  languages:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                        name:
                          type: string
                    description: List of available languages on the website
                  system_language:
                    type: object
                    properties:
                      code:
                        type: string
                      name:
                        type: string
                    description: The current system language used by the website
                example:
                  auth_type: username
                  header:
                    - name: Home
                      url: /
                    - name: Shop
                      url: /shop
                  footer:
                    - name: Terms of Service
                      url: /terms
                    - name: Privacy Policy
                      url: /privacy
                  website_name: Hypixel Network
                  website_description: Official Webstore for Hypixel Network
                  server:
                    ip: mc.hypixel.net
                    port: 25565
                  is_featuredDeal: true
                  details: true
                  goals:
                    - name: Server Upgrade
                      current_amount: 500
                      goal_amount: 1000
                  top:
                    avatar: https://mc-heads.net/body/12345678
                    username: TopDonator
                  recentDonators:
                    - username: PlayerOne
                      avatar: https://mc-heads.net/avatar/PlayerOne/75
                      amount: 50
                      currency: USD
                  discord_url: https://discord.gg/example
                  discord_id: '123456789'
                  is_ref: true
                  is_profile_enabled: true
                  discord_sync: 1
                  socials:
                    facebook: https://facebook.com/example
                    twitter: https://twitter.com/example
                  is_virtual_currency: true
                  virtual_currency: Tokens
                  system_currency:
                    name: USD
                    value: 1
                  currencies:
                    - name: USD
                      value: 1
                    - name: EUR
                      value: 0.85
                  languages:
                    - code: en
                      name: English
                    - code: fr
                      name: French
                  system_language:
                    code: en
                    name: English
        '401':
          description: (Unauthorized) Invalid or missing Access Token
      deprecated: false

````